hadoop-pig-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Charlie Groves <char...@threerings.net>
Subject Re: JUNIT 3 vs 4
Date Tue, 01 Apr 2008 23:05:34 GMT
Right, I was only hoping that we'd pick one and stick to it.  Having a  
mix of nonfunctional JUnit 4 annotations in with JUnit 3 tests is just  
confusing.

Moving to JUnit 4 requires Ant 1.7 which has been out since December  
2006.  The fact that Olga doesn't have it makes me feel like it hasn't  
spread enough to be worth switching to, so I'd be happy if we just got  
rid of the JUnit 4 annotations.

Charlie

On Apr 1, 2008, at 2:37 PM, Olga Natkovich wrote:
> According to Charlie, it means that everybody would also need to  
> upgrade
> ant to the version that support JUnit 4
>
> Olga
>
>> -----Original Message-----
>> From: Benjamin Reed [mailto:breed@yahoo-inc.com]
>> Sent: Tuesday, April 01, 2008 2:32 PM
>> To: pig-dev@incubator.apache.org
>> Subject: JUNIT 3 vs 4
>>
>> Charlie made some good points about our use of JUnit 4
>> annotations in our code versus our use of JUnit 3. Is there a
>> reason we are not using JUnit 4? Does it not work on the Mac?
>>
>> ben
>>
>


Mime
View raw message